#
# spec file for package newsboat
#
# gem install asciidoctor

Name:           newsboat
Version:        2.21
Release:        %mkrel 1
Summary:        RSS/Atom Feed Reader for Text Terminals
License:        MIT
Group:          Networking/News
URL:            https://newsboat.org
Source:         https://newsboat.org/releases/%{version}/%{name}-%{version}.tar.xz
Source2:        https://newsboat.org/newsboat.pgp#/%{name}.keyring
Source3:        vendor.tar.xz
Patch0:         newsbeuter-makefile.patch
BuildRequires:  asciidoc
BuildRequires:  rust
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  glibc-devel
BuildRequires:  libcurl-devel 
BuildRequires:  lib64json-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libstdc++-devel
BuildRequires:  lib64stfl-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:  rust
BuildRequires:  sqlite3-devel
BuildRequires:  zlib-devel

%description
Newsboat is an RSS/Atom feedreader. RSS and Atom are a number of
widely-used XML formats to transmit, publish and syndicate articles,
for example news or blog articles. Newsboat is designed to be used on
text terminals.

%prep
%setup -qa3
%patch0 -p1


sed -i 's/#!\/usr\/bin\/env perl/#!\/usr\/bin\/perl/' ./contrib/pinboard.pl

%build
export CARGO_HOME=`pwd`/cargo-home/
./config.sh

make %{?_smp_mflags} \
    	  OPTFLAGS="%{optflags}"

%install
export CARGO_HOME=`pwd`/cargo-home/
%make_install prefix="%{_prefix}" docdir=%{_docdir}/%{name}

for l in zh; do
    rm -rf "%{buildroot}%{_datadir}/locale/${l}"
done

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/podboat
%dir %{_docdir}/%{name}/examples
%{_docdir}/%{name}/examples
%{_docdir}/%{name}/faq.html
%{_docdir}/%{name}/%{name}.html
%{_docdir}/%{name}/contrib/
%{_mandir}
%{_datadir}/doc/newsboat/CHANGELOG.md
%{_datadir}/icons/hicolor/scalable/apps/newsboat.svg

%changelog
* Tue Sep 22 2020 tex - 2.21-1pclos2020
- new version

* Fri Jun 26 2020 tex - 2.19-1pclos2020
- new version

* Tue Mar 03 2020 tex - 2.18-1pclos2020
- create stupid package
